/api/server/folder/{id}
Fetch a folder by ID/name. Behavior varies based on public and allowUploads flags.
GET
/api/server/folder/{id}Path Parameters
id*string
Query Parameters
page?number
perpage?number
Default
15sortBy?string
Default
"createdAt"Value in
- "id"
- "createdAt"
- "updatedAt"
- "deletesAt"
- "name"
- "originalName"
- "size"
- "type"
- "views"
- "favorite"
order?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/server/folder/string"{ "folder": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "public": true, "allowUploads": true, "parentId": "string", "userId": "string", "files": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletesAt": "2019-08-24T14:15:22Z", "name": "string", "originalName": "string", "size": -9007199254740991, "type": "string", "views": -2147483648, "maxViews": -2147483648, "favorite": true, "password": true, "anonymous": true, "folderId": "string", "thumbnail": { "path": "string" }, "tags": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "color": "string", "files": [ { "id": "string" } ] } ], "url": "string", "similarity": 0 } ], "parent": { "public": true, "id": "string", "name": "string", "parentId": "string", "parent": {} }, "children": [ { "id": "string", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "public": true, "_count": { "children": 0, "files": 0 } } ], "_count": { "children": 0, "files": 0 } }, "page": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletesAt": "2019-08-24T14:15:22Z", "name": "string", "originalName": "string", "size": -9007199254740991, "type": "string", "views": -2147483648, "maxViews": -2147483648, "favorite": true, "password": true, "anonymous": true, "folderId": "string", "thumbnail": { "path": "string" }, "tags": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "name": "string", "color": "string", "files": [ { "id": "string" } ] } ], "url": "string", "similarity": 0 } ], "total": 0, "pages": 0}